Package org.springframework.security.web.server.util.matcher

# Class ServerWebExchangeMatcher.MatchResult

java.lang.Object
org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher.MatchResult

Enclosing interface:
  ServerWebExchangeMatcher

public static class ServerWebExchangeMatcher.MatchResult extends Object
The result of matching

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getVariables()`
Gets potential variables and their values
`boolean`
`isMatch()`
`static reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult>`
`match()`
Creates an instance of `ServerWebExchangeMatcher.MatchResult` that is a match with no variables
`static reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult>`
`match(Map<String,Object> variables)`
Creates an instance of `ServerWebExchangeMatcher.MatchResult` that is a match with the specified variables
`static reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult>`
`notMatch()`
Creates an instance of `ServerWebExchangeMatcher.MatchResult` that is not a match.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isMatch

public boolean isMatch()

### getVariables

public Map<String,Object> getVariables()
Gets potential variables and their values

Returns:

### match

public static reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult> match()
Creates an instance of `ServerWebExchangeMatcher.MatchResult` that is a match with no variables

Returns:

### match

public static reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult> match(Map<String,Object> variables)
Creates an instance of `ServerWebExchangeMatcher.MatchResult` that is a match with the specified variables

Parameters:
  `variables` -
Returns:

### notMatch

public static reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult> notMatch()
Creates an instance of `ServerWebExchangeMatcher.MatchResult` that is not a match.

Returns: